- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osgfxbrowser.cpp File Reference

`#include <osg/Group>`
`#include <osg/Geometry>`
`#include <osg/Geode>`
`#include <osg/Projection>`
`#include <osg/MatrixTransform>`
`#include <osg/BlendFunc>`
`#include <osg/LightSource>`
`#include <osgProducer/Viewer>`
`#include <osgDB/ReadFile>`
`#include <osgDB/WriteFile>`
`#include <osgText/Text>`
`#include <osgUtil/Optimizer>`
`#include <osgGA/GUIEventAdapter>`
`#include <osgGA/GUIActionAdapter>`
`#include <osgFX/Registry>`
`#include <osgFX/Effect>`
`#include "Frame.h"`
`#include <vector>`
`#include <string>`

Include dependency graph for osgfxbrowser.cpp:

## Functions
osg::Group * | build_hud_base (osg::Group *root)
EffectPanel * | build_gui (osg::Group *root)
void | build_world (osg::Group *root, osg::Node *scene, osgProducer::Viewer &viewer)
int | main (int argc, char *argv[])
## Variables
RotateCallback * | rotate_cb

## Function Documentation

EffectPanel* build_gui | ( | osg::Group * | root | ) |

osg::Group* build_hud_base | ( | osg::Group * | root | ) |

void build_world | ( | osg::Group * | root,
|  | osg::Node * | scene,
|  | osgProducer::Viewer & | viewer
| ) |

int main | ( | int | argc,
|  | char * | argv[]
| ) |

## Variable Documentation

RotateCallback* rotate_cb